MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027525Open CASCADE[OCCT] OCCT:Codingpublic2016-05-20 14:552016-12-09 16:40
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027525: Coding - eliminate warnings on Windows for OCCT with static type of libraries
Descriptionwarning LNK4221: This object file does not define any previously undefined public symbols, so it will not be used by any link operation that consumes this library

Such warnings appears during occt compilation with static type of libraries.

List of problem classes:

TopTools_ShapeMapHasher
TopTools_OrientedShapeMapHasher
TopoDS_Wire
TopoDS_Vertex
TopoDS_Solid
TopoDS_Shell
TopoDS_Face
TopoDS_Edge
TopoDS_CompSolid
TopoDS_Compound
TopoDS
TNaming_RefShape
TNaming_OldShapeIterator
TNaming_NewShapeIterator
TNaming_IteratorOnShapesSet
TNaming_Iterator
TNaming_Builder
Standard_ErrorHandlerCallback
OSD_signal
BOPTools_SetMapHasher
BOPAlgo_WireEdgeSet
BOPDS_Tools
BOPDS_Point
BOPDS_PaveMapHasher
BOPDS_PassKeyMapHasher
BOPDS_PassKeyBoolean
BOPDS_FaceInfo
BOPDS_Curve
IntTools_SurfaceRangeSampleMapHasher
IntTools_CurveRangeSampleMapHasher
TopOpeBRepDS_reDEB
TObj_SequenceOfObject
MAT2d_MapBiIntHasher
BRepPrimAPI_MakeSweep
Precision
math_MultipleVarFunctionWithHessian
math_MultipleVarFunctionWithGradient
math_FunctionSetWithDerivatives
HLRAlgo_TriangleData
HLRAlgo_PolyInternalSegment
HLRAlgo_PolyHidingData
HLRBRep_LineTool
HLRBRep_CLPropsATool
GCE2d_Root
GC_Root
Extrema_POnSurfParams
Extrema_POnSurf
Extrema_Curve2dTool
IntImpParGen_ImpTool
IntPatch_PolyhedronTool
IntSurf_PathPointTool
IntSurf_InteriorPointTool
IntSurf_Couple
GeomInt_TheMultiLineToolOfWLApprox_0
LocOpe_PntFace
BRepFilletAPI_LocalOperation


Steps To ReproduceConfigure and build OCCT with static type of libraries in Visual Studio
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0055570)
git (administrator)
2016-06-29 12:11

Branch CR27525 has been created by ski.

SHA-1: ca058225d39fe0d41e1a48449166f735be4331aa


Detailed log of new commits:

Author: ski
Date: Wed Jun 29 10:46:05 2016 +0300

    0027525: Coding - eliminate warnings on Windows for OCCT with static type of libraries
    
    Useless *.cxx files were removed to eliminate linker warning LNK4221.
(0055578)
ski (developer)
2016-06-29 14:28

Dear kgv,

occt branch CR27525 and PRODUCTS branch CR27525 are ready for reviewing.
(0055595)
kgv (developer)
2016-06-29 21:50

Dear Mikhail,

could you please confirm that the messy debugging stuff in TopOpeBRepDS package is still used by our team? Otherwise I would propose removing it.
(0055599)
msv (developer)
2016-06-30 10:03

Dear Kirill, this stuff is not used by modeling team, so you can remove it.
(0055601)
kgv (developer)
2016-06-30 10:21

Dear Sergey,

please clean up package TopOpeBRepDS from old debugging routines (make sure to check compilation with OCCT_DEBUG enabled).

For Standard_ErrorHandlerCallback.cxx I would suggest moving the code to Standard_ErrorHandler.cxx.
(0055661)
git (administrator)
2016-07-04 12:15

Branch CR27525 has been updated by ski.

SHA-1: cbdfc2d0e4cd3d10481f477d25f8ae334e138e52


Detailed log of new commits:

Author: ski
Date: Mon Jul 4 12:16:18 2016 +0300

    Package TopOpeBRepDS was cleaned up from old debugging routines.

(0055667)
git (administrator)
2016-07-04 13:59

Branch CR27525 has been updated forcibly by ski.

SHA-1: 4dae58da664d473c6567d8f64fa105711f322877
(0055672)
git (administrator)
2016-07-04 16:22

Branch CR27525 has been updated forcibly by ski.

SHA-1: 9416d12c6bf3a478901e862b576bdb5508741d89
(0055688)
git (administrator)
2016-07-05 13:24

Branch CR27525 has been updated forcibly by ski.

SHA-1: ca0e16b4fa91964408e7be04193d1f4a2a32a4ba
(0055693)
git (administrator)
2016-07-05 14:51

Branch CR27525 has been updated forcibly by ski.

SHA-1: 0fe6ae8c5742222a1f955e5338403fdfc084c9ee
(0055700)
ski (developer)
2016-07-05 18:09

Dear kgv,

Package TopOpeBRepDS was cleaned up from old debugging routines.

please, review.
(0055701)
abv (manager)
2016-07-05 18:37

Some remarks on last commit:

1. Standard_ErrorHandlerCallback.hxx -- please revert, this class must be fully inline if _WIN32 to avoid useless calls in low-level code

2. DsgPrs.cxx: statements like "Center.Translated( vec1 );" do nothing and should be removed

3. Changes in TestTopOpe, TopOpeBRepBuild, TopOpeBRepDS, BRepAlgo_BooleanOperation: before committing these changes, please check that everything compiles with OCCT_DEBUG and verify with modelling team that the removed code is not useful for their needs
(0055702)
git (administrator)
2016-07-05 19:28

Branch CR27525 has been updated forcibly by ski.

SHA-1: 2b8d576ad6bbe1d19b7609feabbeb6de7be2c1b4
(0055703)
ski (developer)
2016-07-05 19:37
edited on: 2016-07-05 19:37

1) I have reverted changes in Standard_ErrorHandlerCallback.*xx files.
What is the best solution to avoid linker warning LNK4221 here:
• Move the code to Standard_ErrorHandler.cxx as it was suggested by kgv
• Use temporary variable in anonymous namespace as it was done in first commit of the branch

2) Done

3) I have already checked all changes on Windows/Linux stations with/without OCCT_DEBUG, so, maybe only final verifying of changes by modelling team is needed.

(0055704)
msv (developer)
2016-07-06 09:43

As far as I know the debug code in TopOpeBRep* classes is not used by modeling team members. So we can remove it.

Dear Igor (IFV), please tell if you have objections.
(0055705)
abv (manager)
2016-07-06 10:02

For point (1): I propose moving class Standard_ErrorHandlerCallback into the Standard_ErrorHandler as nested class Callback. Besides, field Standard_ErrorHandler::myCallbackPtr can be made pointer to actual type instead of Standard_Address, to avoid meaningless pointer casts.

For compatibility, we can keep definition of the old name as typedef:

typedef Standard_ErrorHandler::Callback Standard_ErrorHandlerCallback;

but I believe this is unlikely useful. Just mention the rename in upgrade.md.
(0055706)
kgv (developer)
2016-07-06 10:03

Please also merge OSD_signal_WNT.cxx into OSD_signal.cxx
(0055716)
git (administrator)
2016-07-06 12:58

Branch CR27525 has been updated by ski.

SHA-1: ee96ae2f61e8ce3ae7d16c39e6a04bf1f7df2b8f


Detailed log of new commits:

Author: ski
Date: Wed Jul 6 12:58:34 2016 +0300

    Class Standard_ErrorHandlerCallback was moved into the Standard_ErrorHandler class as nested class Callback

Author: ski
Date: Wed Jul 6 10:40:52 2016 +0300

    Merged OSD_signal_WNT.cxx into OSD_signal.cxx

(0055723)
ski (developer)
2016-07-06 15:40

Dear kgv,

Files Standard_ErrorHandlerCallback.*xx were merged into Standard_ErrorHandler.*xx.

File OSD_signal_WNT.cxx was merged into OSD_signal.cxx.

I have checked compilation on:
• win64 vc10 Release
• win64 vc10 Release with static libraries (to check warnings LNK4221)
• win64 vc10 Debug with OCCT_DEBUG
• lin release
• lin debug with OCCT_DEBUG

All linker warnings LNK4221 were eliminated.

Please, review.
(0055739)
kgv (developer)
2016-07-07 12:39

Please test the patch.

I would expect the files TestTopOpeTools_TraceCommands.cxx, TestTopOpeTools_Trace.hxx, TestTopOpeTools_TraceCommands.cxx and their references to be removed as well... But we can do it later if modeling team has no objections.
(0055754)
bugmaster (administrator)
2016-07-08 12:52

Fix has been tested on :

Debian 70 - dynamic
New warning:
http://jenkins-test-03.nnov.opencascade.com/view/CR27525/view/OCCT%20compile/job/CR27525_CR27525-OCCT-Debian70-64-opt-compile/1/warnings18Result/ [^]

Debian 80 - static
New warning
http://jenkins-test-03.nnov.opencascade.com/view/CR27525/view/OCCT%20compile/job/CR27525_CR27525-OCCT-Debian80-64-opt-compile/1/warnings18Result/new/ [^]

Windows VC 2010 - dynamic
Not warnings
Windows VC 2011 - static
Not warnings

Testing :
Regressions were not detected
(0055762)
git (administrator)
2016-07-08 16:18

Branch CR27525 has been updated by ski.

SHA-1: e965eaca30dc6bb666c8fc6d0fbd6f361c702b51


Detailed log of new commits:

Author: ski
Date: Fri Jul 8 16:18:57 2016 +0300

    Eliminated warning about unused variable.

(0055763)
ski (developer)
2016-07-08 16:19

Fixed.
(0055846)
git (administrator)
2016-07-12 10:37

Branch CR27525 has been updated forcibly by inv.

SHA-1: 9aa94a244d858e43e8dd3cb39a03350c80ccc15a
(0055858)
bugmaster (administrator)
2016-07-12 15:51

Warnings were eliminated
(0055860)
kgv (developer)
2016-07-12 16:09

> reviewed => verified
I suppose this should be in "tested" state.
(0056109)
git (administrator)
2016-07-22 10:44

Branch CR27525 has been deleted by inv.

SHA-1: 9aa94a244d858e43e8dd3cb39a03350c80ccc15a

- Related Changesets
occt: master 536a3cb8
Timestamp: 2016-06-29 07:46:05
Author: ski
Committer: bugmaster
Details ] Diff ]
0027525: Coding - eliminate warnings on Windows for OCCT with static type of libraries

Useless *.cxx files were removed to eliminate linker warning LNK4221.

Package TopOpeBRepDS was cleaned up from old debugging routines.

Merged OSD_signal_WNT.cxx into OSD_signal.cxx

Class Standard_ErrorHandlerCallback was moved into the Standard_ErrorHandler class as nested class Callback

Eliminated warning about unused variable.
rm - src/BOPAlgo/BOPAlgo_WireEdgeSet.cxx Diff ] File ]
mod - src/BOPAlgo/FILES Diff ] File ]
rm - src/BOPDS/BOPDS_Curve.cxx Diff ] File ]
rm - src/BOPDS/BOPDS_FaceInfo.cxx Diff ] File ]
rm - src/BOPDS/BOPDS_PassKeyBoolean.cxx Diff ] File ]
rm - src/BOPDS/BOPDS_PassKeyMapHasher.cxx Diff ] File ]
rm - src/BOPDS/BOPDS_PaveMapHasher.cxx Diff ] File ]
rm - src/BOPDS/BOPDS_Point.cxx Diff ] File ]
rm - src/BOPDS/BOPDS_Tools.cxx Diff ] File ]
mod - src/BOPDS/FILES Diff ] File ]
rm - src/BOPTools/BOPTools_SetMapHasher.cxx Diff ] File ]
mod - src/BOPTools/FILES Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_BooleanOperation.cxx Diff ] File ]
rm - src/BRepFilletAPI/BRepFilletAPI_LocalOperation.cxx Diff ] File ]
mod - src/BRepFilletAPI/FILES Diff ] File ]
rm - src/BRepPrimAPI/BRepPrimAPI_MakeSweep.cxx Diff ] File ]
mod - src/BRepPrimAPI/FILES Diff ] File ]
mod - src/DsgPrs/DsgPrs.cxx Diff ] File ]
rm - src/Extrema/Extrema_Curve2dTool.cxx Diff ] File ]
rm - src/Extrema/Extrema_POnSurf.cxx Diff ] File ]
rm - src/Extrema/Extrema_POnSurfParams.cxx Diff ] File ]
mod - src/Extrema/FILES Diff ] File ]
mod - src/GC/FILES Diff ] File ]
rm - src/GC/GC_Root.cxx Diff ] File ]
mod - src/GCE2d/FILES Diff ] File ]
rm - src/GCE2d/GCE2d_Root.cxx Diff ] File ]
mod - src/GeomInt/FILES Diff ] File ]
rm - src/GeomInt/GeomInt_TheMultiLineToolOfWLApprox_0.cxx Diff ] File ]
mod - src/HLRAlgo/FILES Diff ] File ]
rm - src/HLRAlgo/HLRAlgo_PolyHidingData.cxx Diff ] File ]
rm - src/HLRAlgo/HLRAlgo_PolyInternalSegment.cxx Diff ] File ]
rm - src/HLRAlgo/HLRAlgo_TriangleData.cxx Diff ] File ]
mod - src/HLRBRep/FILES Diff ] File ]
rm - src/HLRBRep/HLRBRep_CLPropsATool.cxx Diff ] File ]
rm - src/HLRBRep/HLRBRep_LineTool.cxx Diff ] File ]
mod - src/IntImpParGen/FILES Diff ] File ]
rm - src/IntImpParGen/IntImpParGen_ImpTool.cxx Diff ] File ]
mod - src/IntPatch/FILES Diff ] File ]
rm - src/IntPatch/IntPatch_PolyhedronTool.cxx Diff ] File ]
mod - src/IntSurf/FILES Diff ] File ]
rm - src/IntSurf/IntSurf_Couple.cxx Diff ] File ]
rm - src/IntSurf/IntSurf_InteriorPointTool.cxx Diff ] File ]
rm - src/IntSurf/IntSurf_PathPointTool.cxx Diff ] File ]
mod - src/IntTools/FILES Diff ] File ]
rm - src/IntTools/IntTools_CurveRangeSampleMapHasher.cxx Diff ] File ]
rm - src/IntTools/IntTools_SurfaceRangeSampleMapHasher.cxx Diff ] File ]
mod - src/LocOpe/FILES Diff ] File ]
rm - src/LocOpe/LocOpe_PntFace.cxx Diff ] File ]
mod - src/MAT2d/FILES Diff ] File ]
rm - src/MAT2d/MAT2d_MapBiIntHasher.cxx Diff ] File ]
mod - src/math/FILES Diff ] File ]
rm - src/math/math_FunctionSetWithDerivatives.cxx Diff ] File ]
rm - src/math/math_MultipleVarFunctionWithGradient.cxx Diff ] File ]
rm - src/math/math_MultipleVarFunctionWithHessian.cxx Diff ] File ]
mod - src/OSD/FILES Diff ] File ]
mod - src/OSD/OSD_signal.cxx Diff ] File ]
rm - src/OSD/OSD_signal_WNT.cxx Diff ] File ]
mod - src/Precision/FILES Diff ] File ]
rm - src/Precision/Precision.cxx Diff ] File ]
mod - src/Standard/FILES Diff ] File ]
mod - src/Standard/Standard.hxx Diff ] File ]
mod - src/Standard/Standard_ErrorHandler.cxx Diff ] File ]
mod - src/Standard/Standard_ErrorHandler.hxx Diff ] File ]
rm - src/Standard/Standard_ErrorHandlerCallback.cxx Diff ] File ]
rm - src/Standard/Standard_ErrorHandlerCallback.hxx Diff ] File ]
mod - src/Standard/Standard_Mutex.hxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_HDSCommands.cxx Diff ] File ]
mod - src/TestTopOpeTools/TestTopOpeTools_TraceCommands.cxx Diff ] File ]
mod - src/TNaming/FILES Diff ] File ]
rm - src/TNaming/TNaming_Builder.cxx Diff ] File ]
rm - src/TNaming/TNaming_Iterator.cxx Diff ] File ]
rm - src/TNaming/TNaming_IteratorOnShapesSet.cxx Diff ] File ]
rm - src/TNaming/TNaming_NewShapeIterator.cxx Diff ] File ]
rm - src/TNaming/TNaming_OldShapeIterator.cxx Diff ] File ]
rm - src/TNaming/TNaming_RefShape.cxx Diff ] File ]
mod - src/TObj/FILES Diff ] File ]
rm - src/TObj/TObj_SequenceOfObject.cxx Diff ] File ]
mod - src/TopoDS/FILES Diff ] File ]
rm - src/TopoDS/TopoDS.cxx Diff ] File ]
rm - src/TopoDS/TopoDS_Compound.cxx Diff ] File ]
rm - src/TopoDS/TopoDS_CompSolid.cxx Diff ] File ]
rm - src/TopoDS/TopoDS_Edge.cxx Diff ] File ]
rm - src/TopoDS/TopoDS_Face.cxx Diff ] File ]
rm - src/TopoDS/TopoDS_Shell.cxx Diff ] File ]
rm - src/TopoDS/TopoDS_Solid.cxx Diff ] File ]
rm - src/TopoDS/TopoDS_Vertex.cxx Diff ] File ]
rm - src/TopoDS/TopoDS_Wire.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeFiller_DEB.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FFDumper.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FFTransitionTool.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_kpart.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_LineInter.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_mergePDS.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Point2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ProcessGR.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ProcessSectionEdges.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_VPointInter.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vpr.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vprclo.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vprdeg.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Area1dBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_AreaBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON2d.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuildFaces.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_FaceBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Griddump.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridEE.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridFF.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridSS.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_makefaces.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_makesolids.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Section.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeClassifier.cxx Diff ] File ]
mod - src/TopOpeBRepDS/FILES Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_BuildTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Check.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_connex.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Curve.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Curve.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_CurvePointInterference.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_CurvePointInterference.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_DataStructure.cxx Diff ] File ]
rm - src/TopOpeBRepDS/TopOpeBRepDS_DSX.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Dumper.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Dumper.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Edge3dInterferenceTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EdgeInterferenceTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EdgeVertexInterference.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EdgeVertexInterference.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EIR.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EXPORT.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EXPORT.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FaceEdgeInterference.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FaceEdgeInterference.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FaceInterferenceTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Filter.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FilterCurveInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FilterEdgeInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FilterFaceInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FIR.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_GapFiller.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_GapTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_HDataStructure.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Interference.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Interference.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_PointIterator.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_ProcessEdgeInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_ProcessFaceInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_ProcessInterferencesTool.cxx Diff ] File ]
rm - src/TopOpeBRepDS/TopOpeBRepDS_reDEB.cxx Diff ] File ]
rm - src/TopOpeBRepDS/TopOpeBRepDS_reDEB.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_repvg.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_samdom.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_ShapeShapeInterference.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_ShapeShapeInterference.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_SolidSurfaceInterference.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_SolidSurfaceInterference.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_SurfaceCurveInterference.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_SurfaceCurveInterference.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_TKI.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_TKI.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_TOOL.cxx Diff ] File ]
rm - src/TopOpeBRepDS/TopOpeBRepDS_trace.cxx Diff ] File ]
rm - src/TopOpeBRepDS/TopOpeBRepDS_traceDSX.cxx Diff ] File ]
rm - src/TopOpeBRepDS/TopOpeBRepDS_traceDSX.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Transition.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Transition.hxx Diff ] File ]
mod - src/TopTools/FILES Diff ] File ]
rm - src/TopTools/TopTools_OrientedShapeMapHasher.cxx Diff ] File ]
rm - src/TopTools/TopTools_ShapeMapHasher.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-20 14:55 ski New Issue
2016-05-20 14:55 ski Assigned To => ski
2016-06-29 12:11 git Note Added: 0055570
2016-06-29 14:14 ski Status new => assigned
2016-06-29 14:28 ski Note Added: 0055578
2016-06-29 14:28 ski Assigned To ski => kgv
2016-06-29 14:28 ski Status assigned => resolved
2016-06-29 21:50 kgv Note Added: 0055595
2016-06-29 21:50 kgv Assigned To kgv => msv
2016-06-29 21:50 kgv Status resolved => feedback
2016-06-30 10:03 msv Note Added: 0055599
2016-06-30 10:03 msv Assigned To msv => kgv
2016-06-30 10:21 kgv Note Added: 0055601
2016-06-30 10:21 kgv Assigned To kgv => ski
2016-06-30 10:21 kgv Status feedback => assigned
2016-07-04 12:15 git Note Added: 0055661
2016-07-04 13:59 git Note Added: 0055667
2016-07-04 16:22 git Note Added: 0055672
2016-07-05 13:24 git Note Added: 0055688
2016-07-05 14:51 git Note Added: 0055693
2016-07-05 18:09 ski Note Added: 0055700
2016-07-05 18:09 ski Assigned To ski => kgv
2016-07-05 18:09 ski Status assigned => resolved
2016-07-05 18:37 abv Note Added: 0055701
2016-07-05 19:28 git Note Added: 0055702
2016-07-05 19:37 ski Note Added: 0055703
2016-07-05 19:37 ski Note Edited: 0055703 View Revisions
2016-07-06 09:43 msv Note Added: 0055704
2016-07-06 10:02 abv Note Added: 0055705
2016-07-06 10:03 kgv Note Added: 0055706
2016-07-06 10:04 kgv Assigned To kgv => ski
2016-07-06 10:04 kgv Status resolved => assigned
2016-07-06 12:58 git Note Added: 0055716
2016-07-06 15:40 ski Note Added: 0055723
2016-07-06 15:40 ski Assigned To ski => kgv
2016-07-06 15:40 ski Status assigned => resolved
2016-07-07 12:39 kgv Note Added: 0055739
2016-07-07 12:39 kgv Assigned To kgv => bugmaster
2016-07-07 12:39 kgv Status resolved => reviewed
2016-07-08 12:52 bugmaster Note Added: 0055754
2016-07-08 12:52 bugmaster Assigned To bugmaster => ski
2016-07-08 12:52 bugmaster Status reviewed => feedback
2016-07-08 16:18 git Note Added: 0055762
2016-07-08 16:19 ski Note Added: 0055763
2016-07-08 16:19 ski Assigned To ski => bugmaster
2016-07-08 16:19 ski Status feedback => reviewed
2016-07-12 10:37 git Note Added: 0055846
2016-07-12 15:51 bugmaster Note Added: 0055858
2016-07-12 15:51 bugmaster Status reviewed => verified
2016-07-12 15:51 bugmaster Resolution open => fixed
2016-07-12 16:09 kgv Note Added: 0055860
2016-07-12 17:46 bugmaster Status verified => assigned
2016-07-12 17:46 bugmaster Assigned To bugmaster => kgv
2016-07-12 17:46 bugmaster Status assigned => resolved
2016-07-12 17:47 bugmaster Assigned To kgv => bugmaster
2016-07-12 17:47 bugmaster Status resolved => reviewed
2016-07-12 17:47 bugmaster Status reviewed => tested
2016-07-15 10:44 bugmaster Changeset attached => occt master 536a3cb8
2016-07-15 10:44 bugmaster Status tested => verified
2016-07-22 10:44 git Note Added: 0056109
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker